Bug 473203 - 10.2 LOCAL_DIR problem
10.2 LOCAL_DIR problem
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Grid_User_Guide (Show other bugs)
1.1
All Linux
urgent Severity high
: 1.1
: ---
Assigned To: Lana Brindley
Jeff Needle
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 20:56 EST by William Henry
Modified: 2013-10-23 19:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-05 01:02:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Henry 2008-11-26 20:56:41 EST
Description of problem:

Change steps 2 and 3 as below - LOCAL_DIR to LIBEXEC :
From:
#Specify the location of the condor_startd hooks:

EC2ENHANCED_HOOK_FETCH_WORK = $(LOCAL_DIR)/hooks/hook_fetch_work.py
EC2ENHANCED_HOOK_REPLY_FETCH = $(LOCAL_DIR)/hooks/hook_reply_fetch.py

#Specify the location of the starter hooks:

EC2ENHANCED_HOOK_PREPARE_JOB = $(LOCAL_DIR)/hooks/hook_prepare_job.py
EC2ENHANCED_HOOK_UPDATE_JOB_INFO = $(LOCAL_DIR)/hooks/hook_update_job_status.py
EC2ENHANCED_HOOK_JOB_EXIT = $(LOCAL_DIR)/hooks/hook_job_exit.py

TO:
#Specify the location of the condor_startd hooks:

EC2ENHANCED_HOOK_FETCH_WORK = $(LIBEXEC)/hooks/hook_fetch_work.py
EC2ENHANCED_HOOK_REPLY_FETCH = $(LIBEXEC)/hooks/hook_reply_fetch.py

#Specify the location of the starter hooks:

EC2ENHANCED_HOOK_PREPARE_JOB = $(LIBEXEC)/hooks/hook_prepare_job.py
EC2ENHANCED_HOOK_UPDATE_JOB_INFO = $(LIBEXEC)/hooks/hook_update_job_status.py
EC2ENHANCED_HOOK_JOB_EXIT = $(LIBEXEC)/hooks/hook_job_exit.py
Comment 1 Lana Brindley 2008-12-05 01:02:08 EST
<para>
	Specify the location of the <command>condor_startd</command> hooks: 
<programlisting>
EC2ENHANCED_HOOK_FETCH_WORK = $(LIBEXEC)/hooks/hook_fetch_work.py
EC2ENHANCED_HOOK_REPLY_FETCH = $(LIBEXEC)/hooks/hook_reply_fetch.py
</programlisting>
</para>
</listitem>
<listitem>
<para>
	Specify the location of the starter hooks: 
<programlisting>
EC2ENHANCED_HOOK_PREPARE_JOB = $(LIBEXEC)/hooks/hook_prepare_job.py
EC2ENHANCED_HOOK_UPDATE_JOB_INFO = $(LIBEXEC)/hooks/hook_update_job_status.py
EC2ENHANCED_HOOK_JOB_EXIT = $(LIBEXEC)/hooks/hook_job_exit.py
</programlisting>
</para>

LKB

Note You need to log in before you can comment on or make changes to this bug.